events {
    worker_connections 4096;
}
http {
    server {
        listen 80;
        server_name localhost;
        # ssl on;
        # ssl_certificate     /etc/nginx/ssl/localhost.crt;
        # ssl_certificate_key /etc/nginx/ssl/localhost.key;
        
        root /usr/share/nginx/html/;

        index index.html;
        
        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   /usr/share/nginx/html;
        }

        # change ip to your host
        location / {
            proxy_pass http://host.docker.internal:5000;
            proxy_cookie_path / "/; Secure";
        }

        # change ip to your host
        location /service/ {
            proxy_pass http://host.docker.internal:3000/service/;
            proxy_cookie_path / "/; Secure";
        }


    }
}
